PHPUNIT(1)

NAME
phpunit - PHPUnit command line interface

SYNOPSIS
phpunit [options] UnitTest [UnitTest.php]
phpunit [options] <directory>

DESCRIPTION
Code Coverage Options:

--coverage-clover <file>
    Generate code coverage report in Clover XML format.

--coverage-crap4j <file>
    Generate code coverage report in Crap4J XML format.

--coverage-html <dir>
    Generate code coverage report in HTML format.

--coverage-php <file>
    Export PHP_CodeCoverage object to file.

--coverage-text=<file>
    Generate code coverage report in text format. Default: Standard output.

--coverage-xml <dir>
    Generate code coverage report in PHPUnit XML format.

--whitelist <dir>
    Whitelist <dir> for code coverage analysis.

Logging Options:

--log-junit <file>
    Log test execution in JUnit XML format to file.

--log-tap <file>
    Log test execution in TAP format to file.

--log-teamcity <file>
    Log test execution in TeamCity format to file.

--log-json <file>
    Log test execution in JSON format.

--testdox-html <file>
    Write agile documentation in HTML format to file.

--testdox-text <file>
    Write agile documentation in Text format to file.

--reverse-list
    Print defects in reverse order

Test Selection Options:

--filter <pattern>
    Filter which tests to run.

--testsuite <pattern>
    Filter which testsuite to run.

--group ...
    Only runs tests from the specified group(s).

--exclude-group ...
    Exclude tests from the specified group(s).

--list-groups
    List available test groups.

--test-suffix ...
    Only search for test in files with specified suffix(es). Default: Test.php,.phpt

Test Execution Options:

--report-useless-tests
    Be strict about tests that do not test anything.

--strict-coverage
    Be strict about unintentionally covered code.

--strict-global-state
    Be strict about changes to global state

--disallow-test-output
    Be strict about output during tests.

--disallow-resource-usage Be strict about resource usage during small tests.

--enforce-time-limit
    Enforce time limit based on test size.

--disallow-todo-tests
    Disallow @todo-annotated tests.

--process-isolation
    Run each test in a separate PHP process.

--no-globals-backup
    Do not backup and restore $GLOBALS for each test.

--static-backup
    Backup and restore static attributes for each test.

--colors=<flag>
    Use colors in output ("never", "auto" or "always").

--columns <n>
    Number of columns to use for progress output.

--columns max
    Use maximum number of columns for progress output.

--stderr
    Write to STDERR instead of STDOUT.

--stop-on-error
    Stop execution upon first error.

--stop-on-failure
    Stop execution upon first error or failure.

--stop-on-warning
    Stop execution upon first warning.

--stop-on-risky
    Stop execution upon first risky test.

--stop-on-skipped
    Stop execution upon first skipped test.

--stop-on-incomplete
    Stop execution upon first incomplete test.

-v|--verbose
    Output more verbose information.

--debug
    Display debugging information during test execution.

--loader <loader>
    TestSuiteLoader implementation to use.

--repeat <times>
    Runs the test(s) repeatedly.

--tap
    Report test execution progress in TAP format.

--teamcity
    Report test execution progress in TeamCity format.

--testdox
    Report test execution progress in TestDox format.

--printer <printer>
    TestListener implementation to use.

Configuration Options:

--bootstrap <file>
    A "bootstrap" PHP file that is run before the tests.

-c|--configuration <file> Read configuration from XML file.

--no-configuration
    Ignore default configuration file (phpunit.xml).

--no-coverage
    Ignore code coverage configuration.

--include-path <path(s)>
    Prepend PHP's include_path with given path(s).

-d key[=value]
    Sets a php.ini value.

Miscellaneous Options:

-h|--help
    Prints this usage information.

--version
    Prints the version and exits.

--atleast-version <min>
    Checks that version is greater than min and exits.